ON ECHO;

READ "../../lattices/{{operation_mode}}/fccee_{{operation_mode}}.sad";

FFS USE FCCEE_P_RING;
NPARA=8;
MOMENTUM = {{reference['ENERGY']}}e+9; ! GEV;
CONVERGENCE=10^-32;
RAD; ! Turn on radiation in all elements.
NOFLUC; ! Turn off quantum effects.
RADCOD; ! calculate orbit considering radiation loss
RADTAPER; ! automatic tapering of all magnets according to local energy of the closed orbit.

MINCOUP=2e-3;


INS;
CALCULATE;


(* ----------------------PRINT TWISS----------------------------------------- *)
USE FCCEE_P_RING;
CELL;
CALCULATE;

Get["../../toolkit/twiss.n"];
SaveTwissFile["twiss_{{operation_mode}}_sad.tfs"];

(* ----------------------CONVERT SAD SEQUENCES TO MAD SEQUENCE--------------- *)
Get["../../toolkit/SAD2MADX.n"];

mx=SAD2MADX[fname->"FCCee_{{operation_mode}}"];
mx@CreateMADX[];

Exit[];